Jump to content

Greetings. Having issues reinstalling Emby


Recommended Posts

It appears to have begun with the last Windows update (May 2018). The new version of Emby Server would not update. So I thought if I did a new install it would fix it. No good. Now I can't reinstall Emby at all.

 

This appears to be a Windows problem, but I have not found a solution yet. Any help appreciated.

 

I also have some other apps that I am unable to install as they have been trying to update themselves.

 

Install log attached.

8V1C0G0A.log

Edited by HokieHi
Link to post
Share on other sites
Luke

Can you install the .net framework 4.6? The installer is supposed to take care of this for you so I'm not sure what's going on there. Thanks.

Link to post
Share on other sites
Happy2Play

I just installed a vm of Win 10 1803 and installed Emby without issue. Only requirement was Visual C++ 2015.

Link to post
Share on other sites

Thanks for responding!!

 

I tried to install 4.6.2. Got message that later version was on system.

Looked in Registry and it appears the 4.7.2 was installed during the recent updates.

I tried reinstalling, but got error since it thinks it is already installed.

 

Wondering if I could have a corrupt installation. So I was thinking about uninstalling. It appears to uninstall you go into the features section and DeSelect .NET Environment.

 

Will that remove the Net Framework??

 

Do I need older versions for other apps??

Link to post
Share on other sites
Luke

I just installed a vm of Win 10 1803 and installed Emby without issue. Only requirement was Visual C++ 2015.

 

What .net framework version was pre-installed?

Link to post
Share on other sites
Happy2Play

What .net framework version was pre-installed?

 

Results from Net version Detector

<32Bit>
4.7.3110.0
  ->C:\Windows\Microsoft.NET\Framework\v4.0.30319
4.7.3110.0
  ->C:\Windows\Microsoft.NET\Framework64\v4.0.30319

< Installed .NET Frameworks >
.NET FW 4.6.2 Windows 10 April 2018 Update (CLR:4.0)
.NET FW 4.7 Windows 10 April 2018 Update (CLR:4.0)
.NET FW 4.7.1 Windows 10 April 2018 Update (CLR:4.0)
.NET FW 4.7.2 Windows 10 April 2018 Update (CLR:4.0)

< Installed Updates >
Microsoft .NET Framework 4 Client Profile 
 KB2468871
 KB2468871v2
 KB2478063
 KB2533523
 KB2544514
 KB2600211
 KB2600217
Microsoft .NET Framework 4 Extended 
 KB2468871
 KB2468871v2
 KB2478063
 KB2533523
 KB2544514
 KB2600211
 KB2600217
 KB2468871
 KB2468871v2
 KB2478063
 KB2533523
 KB2544514
 KB2600211
 KB2600217

< Installed Languages 3.0>
< Installed Languages 3.5.x>
< Installed Languages 4.x>
English - United States

5b0f62af0c41c_reg.jpg

 

5b0f62bd8d3f6_features.jpg

 

Is there a another way to check this?

Link to post
Share on other sites
Luke

That's strange. Well he can always use the portable install. The .net framework is actually only used by the installer anyway.

Link to post
Share on other sites
dansblackcat

I think I had a similar issue when trying to run the server installer over the top of an existing install.

It appeared to get stuck during the install so I clicked the cancel button. 

I opened up the task manager and there was something (sorry I can't remember exactly what) emby related still running.

I stopped it and then the installer ran fine.

 

Might help but could be totally unrelated?

Link to post
Share on other sites

I did "install" the portable version and it is working.

 

Is the portable fully functional compared to the regular install?

 

There is clearly an issue with the NET Framework. I am also unable to install drivers for a scanner - gives me the same sort of error. My registry is also showing last version as 4.7.03056. Emby had been updating fine for years until the recent Windows update.

Link to post
Share on other sites
Happy2Play

I did "install" the portable version and it is working.

 

Is the portable fully functional compared to the regular install?

 

There is clearly an issue with the NET Framework. I am also unable to install drivers for a scanner - gives me the same sort of error. My registry is also showing last version as 4.7.03056. Emby had been updating fine for years until the recent Windows update.

 

Honestly this sounds more like a issue with your Windows install.  But the only difference with the portable vs installer versions is with the portable you can place the install where ever you like.

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...